Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.fgov.ehealth.hubservices.core.v3
Enum LocalSearchType

    java.lang.Object
      java.lang.Enum<LocalSearchType>
          be.fgov.ehealth.hubservices.core.v3.LocalSearchType

All Implemented Interfaces:
  Serializable, Comparable<LocalSearchType>

    public enum LocalSearchType

extends Enum<LocalSearchType>

Java class for LocalSearchType.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="LocalSearchType">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="local"/>
         <enumeration value="global"/>
         <enumeration value="external"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`EXTERNAL`
`GLOBAL`
`LOCAL`

Method Summary
`static LocalSearchType` | `fromValue(String v)`
`String` | `value()`
`static LocalSearchType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static LocalSearchType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LOCAL

    public static final LocalSearchType LOCAL

### GLOBAL

    public static final LocalSearchType GLOBAL

### EXTERNAL

    public static final LocalSearchType EXTERNAL

Method Detail

### values

    public static LocalSearchType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (LocalSearchType c : LocalSearchType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static LocalSearchType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static LocalSearchType fromValue(String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Package PERSDENTIST 3.14.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.